From 8187961f2ca096960bd6028fd02f6e492cf1cd94 Mon Sep 17 00:00:00 2001
From: denis <denis.sumin>
Date: Tue, 8 Aug 2023 09:49:59 +0300
Subject: [PATCH] [*] disabled raiden config

---
 os/debian/postinst                 | 26 ++++++++++++++++----------
 scripts/create_configs_from_tpl.sh | 23 +++++++++++++++--------
 version.mk                         |  2 +-
 3 files changed, 32 insertions(+), 19 deletions(-)

diff --git a/os/debian/postinst b/os/debian/postinst
index 90ecf1a07..6ca173c27 100755
--- a/os/debian/postinst
+++ b/os/debian/postinst
@@ -98,19 +98,25 @@ NET_NAME="raiden"
 db_get cellframe-node/raiden_enabled || true
 if [ "$RET" = "true" ]; then
     DAP_CFG_NET="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
-    DAP_CFG_NET_TPL="$DAP_PREFIX/share/configs/network/$NET_NAME.cfg.tpl"
-    DAP_NET_CFG=""
     if [ -e "$DAP_CFG_NET" ]; then
-	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg.dpkg-new"
-    else
-	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+        mv "$DAP_CFG_NET" "$DAP_CFG_NET".dis
+        echo "[*] Disabled raiden"
     fi
 
-    cat $DAP_CFG_NET_TPL > $DAP_NET_CFG || true
-    db_get cellframe-node/raiden_node_type || true
-    NODE_TYPE=$RET
-    sed -i "s/{NODE_TYPE}/$NODE_TYPE/g" $DAP_NET_CFG  || true
-    echo "[*] Enabled raiden"
+#    DAP_CFG_NET="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+#    DAP_CFG_NET_TPL="$DAP_PREFIX/share/configs/network/$NET_NAME.cfg.tpl"
+#    DAP_NET_CFG=""
+#    if [ -e "$DAP_CFG_NET" ]; then
+#	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg.dpkg-new"
+#    else
+#	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+#    fi
+#
+#    cat $DAP_CFG_NET_TPL > $DAP_NET_CFG || true
+#    db_get cellframe-node/raiden_node_type || true
+#    NODE_TYPE=$RET
+#    sed -i "s/{NODE_TYPE}/$NODE_TYPE/g" $DAP_NET_CFG  || true
+#    echo "[*] Enabled raiden"
 fi
 
 # Init raiden
diff --git a/scripts/create_configs_from_tpl.sh b/scripts/create_configs_from_tpl.sh
index 56df22f13..61c9beab4 100755
--- a/scripts/create_configs_from_tpl.sh
+++ b/scripts/create_configs_from_tpl.sh
@@ -109,18 +109,25 @@ fi
 NET_NAME="raiden"
 
 if [ "$DAP_RAIDEN_ENABLED" = "true" ]; then
+
     DAP_CFG_NET="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
-    DAP_CFG_NET_TPL="$DAP_PREFIX/share/configs/network/$NET_NAME.cfg.tpl"
-    DAP_NET_CFG=""
     if [ -e "$DAP_CFG_NET" ]; then
-	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg.new"
-    else
-	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+        mv "$DAP_CFG_NET" "$DAP_CFG_NET".dis
+        echo "[*] Disabled raiden"
     fi
 
-    cat $DAP_CFG_NET_TPL > $DAP_NET_CFG || true
-    sed -i .old "s/{NODE_TYPE}/$DAP_RAIDEN_ROLE/" $DAP_NET_CFG  || true
-    rm $DAP_NET_CFG.old
+#    DAP_CFG_NET="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+#    DAP_CFG_NET_TPL="$DAP_PREFIX/share/configs/network/$NET_NAME.cfg.tpl"
+#    DAP_NET_CFG=""
+#    if [ -e "$DAP_CFG_NET" ]; then
+#	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg.new"
+#    else
+#	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+#    fi
+#
+#    cat $DAP_CFG_NET_TPL > $DAP_NET_CFG || true
+#    sed -i .old "s/{NODE_TYPE}/$DAP_RAIDEN_ROLE/" $DAP_NET_CFG  || true
+#    rm $DAP_NET_CFG.old
 fi
 
 
diff --git a/version.mk b/version.mk
index 63adc9058..a7d578e93 100644
--- a/version.mk
+++ b/version.mk
@@ -1,3 +1,3 @@
 VERSION_MAJOR=5
 VERSION_MINOR=2
-VERSION_PATCH=257
+VERSION_PATCH=258
-- 
GitLab